GNU bug report logs - #54783
ZRAM default priority wrong

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Stefan Baums <baums@HIDDEN>; dated Fri, 8 Apr 2022 04:21:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 54783 <at> debbugs.gnu.org:


Received: (at 54783) by debbugs.gnu.org; 24 May 2022 15:42:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 24 11:42:24 2022
Received: from localhost ([127.0.0.1]:53145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ntWfs-0003gQ-54
	for submit <at> debbugs.gnu.org; Tue, 24 May 2022 11:42:24 -0400
Received: from mail-qt1-f182.google.com ([209.85.160.182]:37771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1ntWfn-0003gB-W3
 for 54783 <at> debbugs.gnu.org; Tue, 24 May 2022 11:42:19 -0400
Received: by mail-qt1-f182.google.com with SMTP id y15so10707315qtx.4
 for <54783 <at> debbugs.gnu.org>; Tue, 24 May 2022 08:42:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Kncdkz13YYGR+WVG5WVZBa6x3Mbn5QoDQTL55Sr1SAA=;
 b=iquANuv2RCHnuMZZ90hpOpMlemuxbMdJuCQ+bfuiLjvJ2bL3PH3D+CdEPMpT71u/Wk
 VqqtMGIXfoxuZiPOAPu27Ewv5DGrpZ9QTfL3R6sIc06QG2uD8ncZDmqCGZGfM/JfP+dP
 0XeDxeM7LEe8zeXVPNisYHTIDPwxroUNL6OOtyjUod1gJL3wvfLYBOxdmmkcxzI/KcBn
 F2IKO2H3urUXEupEalurlhSddtS23PYj7P+IBPrjs/jcNcp2W8Bnuc4X4Wk3xJ9+FD71
 ku6+5UZfxChYYT3MhaOVsS7h+28pHH3ulrShAmx4xKfp/B2+p8BBdFDC7IGy1fIOBRyi
 833w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Kncdkz13YYGR+WVG5WVZBa6x3Mbn5QoDQTL55Sr1SAA=;
 b=4B4N7MlBPdj+tIjmnN/haP/eq9wOsIViV+cxdTGGD1x9hcrOvpsbzsBJeQgVRx90A+
 k3T3tAtL1/KluabkgiMXIcoB5CBUqYDUAWN5nrbbeiQdMeKI2pc+t6bQ53fxmEiLp0nb
 ZYP1P0rcBuLBfZZwLMG75fmAjt92orucmQltuIL5yS0YUpLnbOlDW/uvyk7uGqSRaB4f
 NKPuVW75dNwMnagOGexlDfTiAZMVTVp9LWCs0tdXyTso7ON2DkNTnWG8A2+kH/MjeSNQ
 COkp2J1DtcfOU28ZUD2jP+U8OD4IeXGvz9aOb9/QUJNCI9KRzz4SERa+tvFHLJuN5mkF
 dwpQ==
X-Gm-Message-State: AOAM53072cO4PByF1GPvJlj5yCIXEJu28lF6FeRTXXIlIva4Qh+DclRb
 sRfCOgkE0ofA/1JiyUeVFlfLhzHBWCtt9A==
X-Google-Smtp-Source: ABdhPJwU8Q0Z1Rxxkqkq53zpLnK+Z/6WjSMKmlOMmSFgZzc8ioXfy1UHDtf8JqmzdettYmA4imZPWQ==
X-Received: by 2002:ac8:5b87:0:b0:2f8:ab4:a050 with SMTP id
 a7-20020ac85b87000000b002f80ab4a050mr20718420qta.183.1653406930097; 
 Tue, 24 May 2022 08:42:10 -0700 (PDT)
Received: from hurd (dsl-157-33.b2b2c.ca. [66.158.157.33])
 by smtp.gmail.com with ESMTPSA id
 d19-20020ac85353000000b002f3ad89629dsm6251091qto.2.2022.05.24.08.42.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 24 May 2022 08:42:09 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#54783: ZRAM default priority wrong
References: <87sfq6g96j.fsf@HIDDEN>
 <20220421134921.1505-1-dev@HIDDEN>
Date: Tue, 24 May 2022 11:42:08 -0400
In-Reply-To: <20220421134921.1505-1-dev@HIDDEN> (Josselin Poiret's
 message of "Thu, 21 Apr 2022 15:49:20 +0200")
Message-ID: <87o7zn3pkf.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi,
 Josselin Poiret writes: > * gnu/services/linux.scm >
 (zram-device-configuration)
 [priority]: Adapt to use #f or an integer > from 0 to 32767. Add sanitizer
 to warn for the change and delay the > field. > (zram-device-configu [...]
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.160.182 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.160.182 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54783
Cc: 54783 <at> debbugs.gnu.org, Stefan Baums <baums@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

Hi,

Josselin Poiret <dev@HIDDEN> writes:

> * gnu/services/linux.scm
> (zram-device-configuration) [priority]: Adapt to use #f or an integer
> from 0 to 32767.  Add sanitizer to warn for the change and delay the
> field.
> (zram-device-configuration->udev-string): Adapt as above.
> * doc/guix.texi (Zram Device Service): Change priority description to
> refer to the Swap Space one, and suggest not leaving the default #f on
> to properly use zram.
> ---
>  doc/guix.texi          | 10 +++++-----
>  gnu/services/linux.scm | 26 +++++++++++++++++++++++---
>  2 files changed, 28 insertions(+), 8 deletions(-)
>
> diff --git a/doc/guix.texi b/doc/guix.texi
> index b7005f0ef1..31f391357d 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -96,7 +96,7 @@ Copyright @copyright{} 2021 Domagoj Stolfa@*
>  Copyright @copyright{} 2021 Hui Lu@*
>  Copyright @copyright{} 2021 pukkamustard@*
>  Copyright @copyright{} 2021 Alice Brenon@*
> -Copyright @copyright{} 2021 Josselin Poiret@*
> +Copyright @copyright{} 2021, 2022 Josselin Poiret@*
>  Copyright @copyright{} 2021 Andrew Tropin@*
>  Copyright @copyright{} 2021 Sarah Morgensen@*
>  Copyright @copyright{} 2021 Josselin Poiret@*
> @@ -34650,11 +34650,11 @@ that compression will be 2:1, it is possible th=
at uncompressable data
>  can be written to swap and this is a method to limit how much memory can
>  be used.  It accepts a string and can be a number of bytes or use a
>  suffix, eg.: @code{"2G"}.
> -@item @code{priority} (default @code{-1})
> +@item @code{priority} (default @code{#f})
>  This is the priority of the swap device created from the zram device.
> -@code{swapon} accepts values between -1 and 32767, with higher values
> -indicating higher priority.  Higher priority swap will generally be used
> -first.
> +@xref{Swap Space} for a description of swap priorities.  You might want
> +to set a specific priority for the zram device, otherwise it could end
> +up not being used much for the reasons described there.
>  @end table
>=20=20
>  @end deftp
> diff --git a/gnu/services/linux.scm b/gnu/services/linux.scm
> index 2eb02ac5a3..9f598b2826 100644
> --- a/gnu/services/linux.scm
> +++ b/gnu/services/linux.scm
> @@ -4,6 +4,7 @@
>  ;;; Copyright =C2=A9 2020 Efraim Flashner <efraim@HIDDEN>
>  ;;; Copyright =C2=A9 2021 raid5atemyhomework <raid5atemyhomework@protonm=
ail.com>
>  ;;; Copyright =C2=A9 2021 B. Wilson <elaexuotee@HIDDEN>
> +;;; Copyright =C2=A9 2022 Josselin Poiret <dev@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -21,9 +22,11 @@
>  ;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
>=20=20
>  (define-module (gnu services linux)
> +  #:use-module (guix diagnostics)
>    #:use-module (guix gexp)
>    #:use-module (guix records)
>    #:use-module (guix modules)
> +  #:use-module (guix i18n)
>    #:use-module (gnu services)
>    #:use-module (gnu services base)
>    #:use-module (gnu services shepherd)
> @@ -252,7 +255,19 @@ (define-record-type* <zram-device-configuration>
>    (memory-limit             zram-device-configuration-memory-limit
>                              (default 0))        ; string or integer
>    (priority                 zram-device-configuration-priority
> -                            (default -1)))      ; integer
> +                            (default #f)        ; integer | #f
> +                            (delayed)

I'm curious, what does delaying the field buys us here?  Is it to avoid
printing the warning multiple times when the record is evaluated?

> +                            (sanitize warn-zram-priority-change)))
> +
> +(define-with-syntax-properties
> +  (warn-zram-priority-change (priority properties))
> +  (if (eqv? priority -1)
> +      (begin
> +        (warning (source-properties->location properties)
> +                 (G_ "Using -1 for zram priority is deprecated to align =
with \
> +the corresponding swap-space field, please use #f from now on.~%"))
> +        #f)
> +      priority))

By convention, a warning message should not be a complete sentence (no
capitalized first letter nor last period) and be short.  To provide a
human friendly hint/message, you could use 'display-hint' (combined with
a more succinct warning).

The rest LGTM.

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#54783; Package guix. Full text available.

Message received at 54783 <at> debbugs.gnu.org:


Received: (at 54783) by debbugs.gnu.org; 21 Apr 2022 13:49:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 21 09:49:31 2022
Received: from localhost ([127.0.0.1]:48767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhXBa-0007vl-OS
	for submit <at> debbugs.gnu.org; Thu, 21 Apr 2022 09:49:31 -0400
Received: from jpoiret.xyz ([206.189.101.64]:35610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1nhXBY-0007vR-Li
 for 54783 <at> debbugs.gnu.org; Thu, 21 Apr 2022 09:49:29 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 5490F184BF2;
 Thu, 21 Apr 2022 13:49:26 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1650548966;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=UIwK70k46IKPm09KBnzmf7zUFPzerlQnvzCfGbyB08k=;
 b=BOkMdSx0cIG3/QNVCiK/G7qs+40L//LAHL3IJhBa46CXR0EQaXKTySPRUOuvLK8dRbh0Qt
 Z5XowrD2nVKMhlzQAV2Um1cCSkZ5f6FY24kkTpgVaSVyuWXgpuKU33WwyiI2e4xvAmztSo
 UWAv3fmOmex4N6skneXLVVJWYwZsLz5H31a/S3vQ+qliQI7pXBe/llsfQM5hwcKji/ACgS
 CJwjYRywHXm8w0+pcGDq7Wo62m23JCXcAbu4sQ+o+F+j1lu7AsLMXQpFh9aHqcW07aTLuK
 Co9w+qosb4hni86eTjG2nVzUdMorswN4auB1J8IbbugqSCv6/3wrDy0UkZ1xfg==
From: Josselin Poiret <dev@HIDDEN>
To: Stefan Baums <baums@HIDDEN>,
	54783 <at> debbugs.gnu.org
Subject: [PATCH 1/2] system: Align zram priority with swap-space spec to
 clarify.
Date: Thu, 21 Apr 2022 15:49:20 +0200
Message-Id: <20220421134921.1505-1-dev@HIDDEN>
In-Reply-To: <87sfq6g96j.fsf@HIDDEN>
References: <87sfq6g96j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spamd-Bar: ---
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/services/linux.scm (zram-device-configuration)
 [priority]:
 Adapt to use #f or an integer from 0 to 32767. Add sanitizer to warn for
 the change and delay the field. (zram-device-configuration->ud [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54783
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/services/linux.scm (zram-device-configuration) [priority]:
    Adapt to use #f or an integer from 0 to 32767. Add sanitizer to warn for
   the change and delay the field. (zram-device-configuration->ud [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/services/linux.scm
(zram-device-configuration) [priority]: Adapt to use #f or an integer
from 0 to 32767.  Add sanitizer to warn for the change and delay the
field.
(zram-device-configuration->udev-string): Adapt as above.
* doc/guix.texi (Zram Device Service): Change priority description to
refer to the Swap Space one, and suggest not leaving the default #f on
to properly use zram.
---
 doc/guix.texi          | 10 +++++-----
 gnu/services/linux.scm | 26 +++++++++++++++++++++++---
 2 files changed, 28 insertions(+), 8 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index b7005f0ef1..31f391357d 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -96,7 +96,7 @@ Copyright @copyright{} 2021 Domagoj Stolfa@*
 Copyright @copyright{} 2021 Hui Lu@*
 Copyright @copyright{} 2021 pukkamustard@*
 Copyright @copyright{} 2021 Alice Brenon@*
-Copyright @copyright{} 2021 Josselin Poiret@*
+Copyright @copyright{} 2021, 2022 Josselin Poiret@*
 Copyright @copyright{} 2021 Andrew Tropin@*
 Copyright @copyright{} 2021 Sarah Morgensen@*
 Copyright @copyright{} 2021 Josselin Poiret@*
@@ -34650,11 +34650,11 @@ that compression will be 2:1, it is possible that uncompressable data
 can be written to swap and this is a method to limit how much memory can
 be used.  It accepts a string and can be a number of bytes or use a
 suffix, eg.: @code{"2G"}.
-@item @code{priority} (default @code{-1})
+@item @code{priority} (default @code{#f})
 This is the priority of the swap device created from the zram device.
-@code{swapon} accepts values between -1 and 32767, with higher values
-indicating higher priority.  Higher priority swap will generally be used
-first.
+@xref{Swap Space} for a description of swap priorities.  You might want
+to set a specific priority for the zram device, otherwise it could end
+up not being used much for the reasons described there.
 @end table
 
 @end deftp
diff --git a/gnu/services/linux.scm b/gnu/services/linux.scm
index 2eb02ac5a3..9f598b2826 100644
--- a/gnu/services/linux.scm
+++ b/gnu/services/linux.scm
@@ -4,6 +4,7 @@
 ;;; Copyright © 2020 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2021 raid5atemyhomework <raid5atemyhomework@HIDDEN>
 ;;; Copyright © 2021 B. Wilson <elaexuotee@HIDDEN>
+;;; Copyright © 2022 Josselin Poiret <dev@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -21,9 +22,11 @@
 ;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
 
 (define-module (gnu services linux)
+  #:use-module (guix diagnostics)
   #:use-module (guix gexp)
   #:use-module (guix records)
   #:use-module (guix modules)
+  #:use-module (guix i18n)
   #:use-module (gnu services)
   #:use-module (gnu services base)
   #:use-module (gnu services shepherd)
@@ -252,7 +255,19 @@ (define-record-type* <zram-device-configuration>
   (memory-limit             zram-device-configuration-memory-limit
                             (default 0))        ; string or integer
   (priority                 zram-device-configuration-priority
-                            (default -1)))      ; integer
+                            (default #f)        ; integer | #f
+                            (delayed)
+                            (sanitize warn-zram-priority-change)))
+
+(define-with-syntax-properties
+  (warn-zram-priority-change (priority properties))
+  (if (eqv? priority -1)
+      (begin
+        (warning (source-properties->location properties)
+                 (G_ "Using -1 for zram priority is deprecated to align with \
+the corresponding swap-space field, please use #f from now on.~%"))
+        #f)
+      priority))
 
 (define (zram-device-configuration->udev-string config)
   "Translate a <zram-device-configuration> into a string which can be
@@ -278,8 +293,13 @@ (define (zram-device-configuration->udev-string config)
          "")
        "RUN+=\"/run/current-system/profile/sbin/mkswap /dev/zram0\" "
        "RUN+=\"/run/current-system/profile/sbin/swapon "
-       (if (not (equal? -1 priority))
-         (string-append "--priority " (number->string priority) " ")
+       ;; XXX: The field is delayed while the deprecation warning remains in
+       ;; place, so we can't use match to fetch it (it would give a promise)
+       (if (zram-device-configuration-priority config)
+           (string-append "--priority "
+                          (number->string
+                           (zram-device-configuration-priority config))
+                          " ")
          "")
        "/dev/zram0\"\n"))))
 
-- 
2.34.0





Information forwarded to bug-guix@HIDDEN:
bug#54783; Package guix. Full text available.

Message received at 54783 <at> debbugs.gnu.org:


Received: (at 54783) by debbugs.gnu.org; 21 Apr 2022 13:49:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 21 09:49:30 2022
Received: from localhost ([127.0.0.1]:48765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhXBa-0007vi-HO
	for submit <at> debbugs.gnu.org; Thu, 21 Apr 2022 09:49:30 -0400
Received: from jpoiret.xyz ([206.189.101.64]:35676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1nhXBY-0007vT-RS
 for 54783 <at> debbugs.gnu.org; Thu, 21 Apr 2022 09:49:29 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id D35FD1851E4;
 Thu, 21 Apr 2022 13:49:27 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1650548968;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=pj9WD1K7Ij4NsR1dko4Omg+RPO1zQJlln0AcjWgMK8I=;
 b=a9HJcx0YV3DLJG7vy4VjWGgOFwLxl4WIeCS547LXXu602AeAW0eRqMV/GOHex/rZxQKTNF
 nhCq7EMjLVI4YNtongFh9gV+fW+4uYcbjXuTk15Xyo0OuCtVet8fZSRUtqy14J/wi+uBjB
 /76VGMuM1vhqA40nPc203vs1BdIpYsHno1mmW9vY0EGm8WeX01NByvTuHaSZDX4jOIoxXi
 HbPhfbH8buk/771XsyBXmk8qgRm/YwuI8wPbtxg4SPHxbhV/u9zVfQeRU2KZ1iusT+VEMM
 P7wLum9PAnkXjJhU0sw6x9JGexS4ifHUOdcPHxLwFmpl2GHJnDVRmY3uHk6Sdg==
From: Josselin Poiret <dev@HIDDEN>
To: Stefan Baums <baums@HIDDEN>,
	54783 <at> debbugs.gnu.org
Subject: [PATCH 2/2] doc: Remove double copyright.
Date: Thu, 21 Apr 2022 15:49:21 +0200
Message-Id: <20220421134921.1505-2-dev@HIDDEN>
In-Reply-To: <87sfq6g96j.fsf@HIDDEN>
References: <87sfq6g96j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spamd-Bar: /
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * doc/guix.texi: Remove doubled Josselin Poiret copyright
 line. --- doc/guix.texi | 1 - 1 file changed,
 1 deletion(-) diff --git a/doc/guix.texi
 b/doc/guix.texi index 31f391357d..d9b26e440c 100644 --- a/doc/guix.texi +++
 b/doc/guix.texi @@ -99,7 +99,6 @@ Copyright @copyright{} 2021 Alice Brenon@*
 Copyright @copyright [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54783
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * doc/guix.texi: Remove doubled Josselin Poiret copyright
   line. --- doc/guix.texi | 1 - 1 file changed, 1 deletion(-) diff --git a/doc/guix.texi
    b/doc/guix.texi index 31f391357d..d9b26e440c 100644 --- a/doc/guix.texi +++
    b/doc/guix.texi @@ -99,7 +99,6 @@ Copyright @copyright{} 2021 Alice Brenon@*
    Copyright @copyright [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* doc/guix.texi: Remove doubled Josselin Poiret copyright line.
---
 doc/guix.texi | 1 -
 1 file changed, 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 31f391357d..d9b26e440c 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -99,7 +99,6 @@ Copyright @copyright{} 2021 Alice Brenon@*
 Copyright @copyright{} 2021, 2022 Josselin Poiret@*
 Copyright @copyright{} 2021 Andrew Tropin@*
 Copyright @copyright{} 2021 Sarah Morgensen@*
-Copyright @copyright{} 2021 Josselin Poiret@*
 Copyright @copyright{} 2022 Remco van 't Veer@*
 Copyright @copyright{} 2022 Aleksandr Vityazev@*
 
-- 
2.34.0





Information forwarded to bug-guix@HIDDEN:
bug#54783; Package guix. Full text available.

Message received at 54783 <at> debbugs.gnu.org:


Received: (at 54783) by debbugs.gnu.org; 21 Apr 2022 08:06:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 21 04:06:51 2022
Received: from localhost ([127.0.0.1]:48319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhRpz-0003jV-PH
	for submit <at> debbugs.gnu.org; Thu, 21 Apr 2022 04:06:51 -0400
Received: from stefanbaums.com ([164.138.27.169]:60192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <baums@HIDDEN>) id 1nhRpw-0003j8-CK
 for 54783 <at> debbugs.gnu.org; Thu, 21 Apr 2022 04:06:49 -0400
Received: from deepthought (unknown [185.213.154.237])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: baums)
 by stefanbaums.com (Postfix) with ESMTPSA id 0BBA519E2F5;
 Thu, 21 Apr 2022 10:06:41 +0200 (CEST)
From: Stefan Baums <baums@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#54783: ZRAM default priority wrong
References: <878rsgfgxg.fsf@HIDDEN> <87sfq6g96j.fsf@HIDDEN>
Date: Thu, 21 Apr 2022 10:06:40 +0200
In-Reply-To: <87sfq6g96j.fsf@HIDDEN> (Josselin Poiret's message of "Thu, 
 21 Apr 2022 09:57:56 +0200")
Message-ID: <874k2moo6n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54783
Cc: 54783 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear Josselin,

thank you very much! That should clarify things. I have been
happily using ZRAM on Guix since I figured it out.

All best,
Stefan




Information forwarded to bug-guix@HIDDEN:
bug#54783; Package guix. Full text available.

Message received at 54783 <at> debbugs.gnu.org:


Received: (at 54783) by debbugs.gnu.org; 21 Apr 2022 07:58:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 21 03:58:00 2022
Received: from localhost ([127.0.0.1]:48283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhRhQ-0003SG-Gu
	for submit <at> debbugs.gnu.org; Thu, 21 Apr 2022 03:58:00 -0400
Received: from jpoiret.xyz ([206.189.101.64]:47280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1nhRhO-0003S7-W1
 for 54783 <at> debbugs.gnu.org; Thu, 21 Apr 2022 03:57:59 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 375181851E0;
 Thu, 21 Apr 2022 07:57:57 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1650527877;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=vAMMG81WrU7JImwWY877SIsNgFQYDcGucQHFbk9ekfA=;
 b=QZb695BvbF/lX4m2BepGSFynNG5O4VmIijsJTgzWK1Fbdp/e/eAZWfHlPGioYVYsSfGlAu
 +2LHU4swhsbyytYfJEGmIm5IVvqKHCDPNqE0rjllnS7v7db0B4TM4AKROE7QpDU6azJ567
 0h2dk0L+UtW6xl6NsQ2KNAQ/yYmKKoWTFf3WL4W4mSBDiWfOfWc0HxYUHa02tCSi5Syx6d
 mO9Lz1QzKnxpekMJeXCb6omG4GtvpRmdXizv6is1VutTE0ZAw2n5doS3KlI3TDCKEUZQw5
 o19MIapN2poxRJUhDiK6PGouHWtkiaASvp5shf5NmOQloO5rku/TsYbsJvE0UQ==
From: Josselin Poiret <dev@HIDDEN>
To: Stefan Baums <baums@HIDDEN>, 54783 <at> debbugs.gnu.org
Subject: Re: bug#54783: ZRAM default priority wrong
In-Reply-To: <878rsgfgxg.fsf@HIDDEN>
References: <878rsgfgxg.fsf@HIDDEN>
Date: Thu, 21 Apr 2022 09:57:56 +0200
Message-ID: <87sfq6g96j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spamd-Bar: /
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello Stefan and sorry for the late reply, Stefan Baums <baums@HIDDEN>
    writes: > The manual wrongly claims that the default priority for zram is
    > -1. The same paragraph of the manual also says: > > ‘swapon’ accepts
    values between -1 and 32767, with higher > values indicatin [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54783
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello Stefan and sorry for the late reply, Stefan Baums <baums@HIDDEN>
    writes: > The manual wrongly claims that the default priority for zram is
    > -1. The same paragraph of the manual also says: > > ‘swapon’ accepts
    values between -1 and 32767, with higher > values indicatin [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hello Stefan and sorry for the late reply,

Stefan Baums <baums@HIDDEN> writes:

> The manual wrongly claims that the default priority for zram is
> -1. The same paragraph of the manual also says:
>
>    =E2=80=98swapon=E2=80=99 accepts values between -1 and 32767, with hig=
her
>    values indicating higher priority.
>
> which makes the -2 priority of the swap file look suspect (though
> it seems to work).

This issue comes from the inconsistency with which swap priorities are
specified on Linux: `swapon` the binary from util-linux (man 8 swapon)
has roughly the same description as above, but internally uses the
syscall wrapper `swapon` from libc (man 2 swapon), which has a better
description of priorities.  The official interpretation of priorities
for the syscall is summarized in the "Swap space" part of the Guix
manual:

A swap space can have no priority, or a priority specified as an integer
between 0 and 32767.  The kernel will first use swap spaces of higher
priority when paging, and use same priority spaces on a round-robin
basis.  The kernel will use swap spaces without a set priority after
prioritized spaces, and in the order that they appeared in (not
round-robin).

Note that these are called high (for specified priority) or low
(unspecified) priority in `man 2 swapon` but that's a bit of a
misnomer.  So, `swapon` the binary actually maps -1 to no (low)
priority, and there actually is no -1 priority in the Linux kernel ABI!
Since your actual swap file is swapon'd first, and also has no priority
set, according to the rules above it will be used before the ZRAM which
also has no priority.

On the Guix side of things, we should really be using the same interface
as swap-space, as I think the distinction between #f and 0 to 32767 is
clearer.  I'll send some patches that adress this soon, along with the
zram-service-type documentation.

Best,
--=20
Josselin Poiret




Information forwarded to bug-guix@HIDDEN:
bug#54783; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Apr 2022 04:20:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 00:20:32 2022
Received: from localhost ([127.0.0.1]:33753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ncg6q-0004HU-GK
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2022 00:20:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:39678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <baums@HIDDEN>) id 1nceLa-0001ah-DA
 for submit <at> debbugs.gnu.org; Thu, 07 Apr 2022 22:27:38 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57930)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <baums@HIDDEN>)
 id 1nceLa-0003wK-70
 for bug-guix@HIDDEN; Thu, 07 Apr 2022 22:27:38 -0400
Received: from stefanbaums.com ([164.138.27.169]:42806)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <baums@HIDDEN>)
 id 1nceLY-0005LI-Mp
 for bug-guix@HIDDEN; Thu, 07 Apr 2022 22:27:37 -0400
Received: from deepthought (unknown [185.213.154.237])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: baums)
 by stefanbaums.com (Postfix) with ESMTPSA id 3BC9B19E2F5
 for <bug-guix@HIDDEN>; Fri,  8 Apr 2022 04:27:33 +0200 (CEST)
From: Stefan Baums <baums@HIDDEN>
To: bug-guix@HIDDEN
Subject: ZRAM default priority wrong
Date: Thu, 07 Apr 2022 22:27:23 -0400
Message-ID: <878rsgfgxg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
Received-SPF: pass client-ip=164.138.27.169;
 envelope-from=baums@HIDDEN; helo=stefanbaums.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 08 Apr 2022 00:20:31 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I have a swap file and zram configured without specifying
priority. The swap file was assigned -2, and zram -3, with the
effect that zram was never used. I had to manually change the zram
priority to something higher that that of the swap file.

The manual wrongly claims that the default priority for zram is
-1. The same paragraph of the manual also says:

   =E2=80=98swapon=E2=80=99 accepts values between -1 and 32767, with higher
   values indicating higher priority.

which makes the -2 priority of the swap file look suspect (though
it seems to work).




Acknowledgement sent to Stefan Baums <baums@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#54783; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 May 2022 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.